// Copyright (c) 2024 Codemongous LLC. All Rights Reserved.

#pragma once

#include "ISCW_UK2Node_AddComponent.h"
#include "SCW_UK2Node_CallFunction.h"

class UK2Node_AddComponent;

namespace Sourcify
{
	class SCW_UK2Node_AddComponent : public SCW_UK2Node_CallFunction, public virtual ISCW_UK2Node_AddComponent
	{
	public:
		SCW_UK2Node_AddComponent(UK2Node_AddComponent* InK2Node_AddComponent);

		UK2Node_AddComponent* ToUK2Node_AddComponent() const;

		ISCW_UK2Node_AddComponentPtr ToUK2Node_AddComponentPtr() override;
		ISCW_UK2Node_AddComponentConstPtr ToUK2Node_AddComponentPtr() const override;

		ISCW_UActorComponentPtr GetTemplateFromNode() const override;

	protected:
		UK2Node_AddComponent* K2Node_AddComponent;
	};
} // namespace Sourcify